﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            ObservableCollection<Data> data = new ObservableCollection<Data>();
            data.Add(new Data() { Age = 10 });
            data.Add(new Data() { Age = 20 });
            data.Add(new Data() { Age = 30 });
            this.xamGrid1.ItemsSource = data;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            ObservableCollection<Data2> data2 = new ObservableCollection<Data2>();
            data2.Add(new Data2() { Id = 1 });
            data2.Add(new Data2() { Id = 2 });
            data2.Add(new Data2() { Id = 3 });

            this.xamGrid1.Columns.Clear();
            this.xamGrid1.ItemsSource = data2;

            Dispatcher.BeginInvoke(new Action(() => 
            {
                this.xamGrid1.Columns.Add(new TextColumn() { Key = "Id" });
            }));            
        }
    }

    public class Data
    {
        public int Age { get; set; }
    }

    public class Data2
    {
        public int Id { get; set; }
    }
}
